<template>
	<v-sheet class="d-flex align-center justify-space-between">
		<h2>Preset backgrounds</h2>

		<v-btn
			class="btn__add"
			color="#D90E32"
			height="42"
			rounded="lg"
			@click="$router.push('')"
		>
			<v-icon></v-icon>
			Add background
		</v-btn>
	</v-sheet>
	<v-row color="#F3F6F8" class="pt-8">
		<v-col v-for="car in 8" :key="car" cols="12" sm="3">
			<v-hover>
				<v-card height="203" width="283" color="#F3F6F8">
					<div>
						<v-img src="@/assets/img/own-background.jpg"></v-img>
					</div>
				</v-card>
			</v-hover>
		</v-col>
	</v-row>
	<h2 class="pt-10">Own backgrounds</h2>

	<v-row color="#F3F6F8" class="pt-8">
		<v-col v-for="car in 2" :key="car" cols="12" sm="3">
			<v-hover>
				<v-card height="203" width="283" color="#F3F6F8">
					<v-btn
						class="btn__delete"
						@click.stop
						variant="plain"
						:ripple="false"
						color="#293148"
					>
						<v-icon>mdi-trash-can-outline</v-icon>
					</v-btn>

					<div>
						<v-img src="@/assets/img/own-background.jpg"></v-img>
					</div>
				</v-card>
			</v-hover>
		</v-col>
	</v-row>
</template>

<script>
export default {
	name: 'BackgroundList',
}
</script>

<style lang="scss">
.btn__delete {
	position: absolute;
	z-index: 1;
	top: 10px;
	right: 10px;
}
</style>
